USE COWS
GO

CREATE TABLE [dbo].[EVENT_RULE_DATA](
	[ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_RULE_ID] [int] NOT NULL,
	[EVENT_DATA_CD] [char](5) NULL, --MDS, CPE, FT, RET
	[EMAILMEM_CD] [tinyint] NULL,--1=T0, 2=CC
	[EMAILREV_CD] [tinyint] NULL,--1=T0, 2=CC
	[EMAILACT_CD] [tinyint] NULL,--1=T0, 2=CC
	[EMAILPUBCC_CD] [bit] NULL,
	[EMAILCMPLCC_CD] [bit] NULL,
	[EMAILOLDACT_CD] [bit] NULL,
	[EMAIL_SUBJ] [varchar](1000) NULL,
	[EMAILCC_ADR] [varchar](1000) NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_EVENT_RULE_DATA] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_EVENT_RULE_DATA] ON [dbo].[EVENT_RULE_DATA]
(
	[EVENT_RULE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[EVENT_RULE_DATA] ADD  CONSTRAINT [DF_EVENT_RULE_DATA_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[EVENT_RULE_DATA] ADD  CONSTRAINT [DF_EVENT_RULE_DATA_getdate]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[EVENT_RULE_DATA]  ADD  CONSTRAINT [FK01_EVENT_RULE_DATA] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO
ALTER TABLE [dbo].[EVENT_RULE_DATA]  ADD  CONSTRAINT [FK02_EVENT_RULE_DATA] FOREIGN KEY([EVENT_RULE_ID])
REFERENCES [dbo].[LK_EVENT_RULE] ([EVENT_RULE_ID])
Go
